---
kind: Namespace
apiVersion: v1
metadata:
  name: registry
---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: redis-deployment
  namespace: registry
spec:
  selector:
    matchLabels:
      app: redis
  replicas: 1
  template:
    metadata:
      name: redis
      namespace: registry
      labels:
        app: redis
    spec:
      containers:
      - name: redis
        image: redmoosetech/redis
        imagePullPolicy: Always
        ports:
        - containerPort: 6379
      imagePullSecrets:
      - name: regcred
      restartPolicy: Always
---
kind: Service
apiVersion: v1
metadata:
  name: redis-service
  namespace: registry
spec:
  selector:
    app: redis
  type: LoadBalancer
  loadBalancerIP: 10.0.250.111
  ports:
  - name: redis-port
    protocol: TCP
    port: 6379
    targetPort: 6379
